CUDNN Frontend API 8.3.0

Static Public Member Functions | List of all members
nlohmann::detail::external_constructor< value_t::array > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::external_constructor< value_t::array >:

## Static Public Member Functions
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, const typename BasicJsonType::array_t &arr)
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, typename BasicJsonType::array_t &&arr)
template<typename BasicJsonType , typename CompatibleArrayType , enable_if_t< !std::is_same< CompatibleArrayType, typename BasicJsonType::array_t >::value, int > = 0>
static void | construct (BasicJsonType &j, const CompatibleArrayType &arr)
template<typename BasicJsonType >
static void | construct (BasicJsonType &j, const std::vector< bool > &arr)
template<typename BasicJsonType , typename T , enable_if_t< std::is_convertible< T, BasicJsonType >::value, int > = 0>
static void | construct (BasicJsonType &j, const std::valarray< T > &arr)

## Detailed Description

### template<>
struct nlohmann::detail::external_constructor< value_t::array >

Definition at line 4582 of file json.hpp.

## Member Function Documentation

## ◆ construct() [1/5]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::array >::construct | ( | BasicJsonType & | j,
|  | const typename BasicJsonType::array_t & | arr
| ) |  |
| inlinestatic

Definition at line 4585 of file json.hpp.

References nlohmann::detail::array.

## ◆ construct() [2/5]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::array >::construct | ( | BasicJsonType & | j,
|  | typename BasicJsonType::array_t && | arr
| ) |  |
| inlinestatic

Definition at line 4594 of file json.hpp.

References nlohmann::detail::array.

## ◆ construct() [3/5]

template<typename BasicJsonType , typename CompatibleArrayType , enable_if_t< !std::is_same< CompatibleArrayType, typename BasicJsonType::array_t >::value, int > = 0>

static void nlohmann::detail::external_constructor< value_t::array >::construct | ( | BasicJsonType & | j,
|  | const CompatibleArrayType & | arr
| ) |  |
| inlinestatic

Definition at line 4605 of file json.hpp.

References nlohmann::detail::array.

## ◆ construct() [4/5]

template<typename BasicJsonType >

static void nlohmann::detail::external_constructor< value_t::array >::construct | ( | BasicJsonType & | j,
|  | const std::vector< bool > & | arr
| ) |  |
| inlinestatic

Definition at line 4616 of file json.hpp.

References nlohmann::detail::array.

## ◆ construct() [5/5]

template<typename BasicJsonType , typename T , enable_if_t< std::is_convertible< T, BasicJsonType >::value, int > = 0>

static void nlohmann::detail::external_constructor< value_t::array >::construct | ( | BasicJsonType & | j,
|  | const std::valarray< T > & | arr
| ) |  |
| inlinestatic

Definition at line 4631 of file json.hpp.

References nlohmann::detail::array.

The documentation for this struct was generated from the following file:

- json.hpp